# Example target environment configuration for sbrsh.  Multiple targets can
# be specified in a single file.  The configuration is read from ~/.sbrsh by
# default.
#
# Format:
#
# <name>  <hostname>[:<port>]
#     nfs|bind  <filesystem>  <mountpoint>  [<options>]
#     ...
#

# Usual scenario
default-target	device01
	nfs	host01:/home/juser/buildroot	/	rw,nolock,noac,tcp
	nfs	host01:/home			/home	rw,nolock,noac,tcp
	bind	/tmp				/tmp
	bind	/dev				/dev
	bind	/dev/pts			/dev/pts
	bind	/proc				/proc
	bind	/sys				/sys

# Unusual scenario
other-target	192.168.1.5:1212
	nfs	host01:/work/buildroot	/	rw,nolock,noac
	nfs	host02:/home		/home	rw,nolock,noac
	bind	/var/tmp		/tmp
	bind	/dev			/dev
	bind	/proc			/proc

# When running sbrshd with the "--no-sandbox" option
bare-target	device02

